Name: eidmiddleware
Version: 3.3.0
Release: 1%{?dist}
Summary: AKD eID Middleware basic user package.
License: see /usr/share/doc/eidmiddleware/copyright
Distribution: Debian
Group: Converted/utils

%define _unpackaged_files_terminate_build 0

Source:  eidmiddleware-%{version}.tar.bz2
Source1: eid.module

%description
Enables the use of AKD smart cards on Debian platform in standard user scenarios. 
That includes PIN management, certificate management and smart card data management.
Provides PKCS#11 interface for use in smart card logon, qualified signature, e-mail 
and document encryption, decryption, and secure VPN connection. Provides Signer service 
that allows signing electronic documents qualified electronic signature for all persons 
who possess a valid electronic ID card with signature certificate.
Requires PC/SC compliant and enabled smart card reader.


%prep
%setup -q -n %{name}-%{version}

%install

%{__rm} -rf %{buildroot}

%{__install} -dm 0755 %{buildroot}%{_sysconfdir}/pki/tls/certs
cp etc/ssl/certs/HRIDCA.pem %{buildroot}%{_sysconfdir}/pki/tls/certs/HRIDCA.pem 
cp etc/ssl/certs/AKDCARoot.pem %{buildroot}%{_sysconfdir}/pki/tls/certs/AKDCARoot.pem

%{__install} -dm 0755 %{buildroot}%{_sysconfdir}/xdg/autostart
cp etc/xdg/autostart/signer.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/signer.desktop

%{__install} -dm 0755 %{buildroot}/usr/lib
cp -a usr/lib/akd %{buildroot}/usr/lib

%{__install} -dm 0755 %{buildroot}%{_datadir}/p11-kit/modules/
cp %{SOURCE1} %{buildroot}%{_datadir}/p11-kit/modules/

%{__install} -dm 0755 %{buildroot}/%{_datadir}/pixmaps
cp usr/share/pixmaps/eidclient32.png %{buildroot}%{_datadir}/pixmaps/eidclient32.png

%{__install} -dm 0755 %{buildroot}%{_datadir}/ca-certificates/akd
cp usr/share/ca-certificates/akd/HRIDCA.crt %{buildroot}%{_datadir}/ca-certificates/akd/HRIDCA.crt
cp usr/share/ca-certificates/akd/AKDCARoot.crt %{buildroot}%{_datadir}/ca-certificates/akd/AKDCARoot.crt

%{__install} -dm 0755 %{buildroot}%{_datadir}/applications
cp usr/share/applications/signer.desktop %{buildroot}%{_datadir}/applications/signer.desktop
cp usr/share/applications/eidclient.desktop %{buildroot}%{_datadir}/applications/eidclient.desktop


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ./%{_docdir}/akd/eidmiddleware/copyright ./%{_docdir}/akd/eidmiddleware/changelog.Debian.gz

%{_sysconfdir}/pki/tls/certs/HRIDCA.pem 
%{_sysconfdir}/pki/tls/certs/AKDCARoot.pem

%{_sysconfdir}/xdg/autostart/signer.desktop

%dir /usr/lib/akd/
%dir /usr/lib/akd/eidmiddleware/
%dir /usr/lib/akd/eidmiddleware/lib/
/usr/lib/akd/eidmiddleware/lib/libp11.so.2
/usr/lib/akd/eidmiddleware/lib/libQt5XcbQpa.so.5
/usr/lib/akd/eidmiddleware/lib/libQt5PrintSupport.so.5
/usr/lib/akd/eidmiddleware/lib/libQt5DBus.so.5
/usr/lib/akd/eidmiddleware/lib/libpkcs11.so
/usr/lib/akd/eidmiddleware/lib/libQt5Core.so.5
/usr/lib/akd/eidmiddleware/lib/libQt5Gui.so.5
/usr/lib/akd/eidmiddleware/lib/libQt5Widgets.so.5
/usr/lib/akd/eidmiddleware/qt.conf

%dir /usr/lib/akd/eidmiddleware/plugins/

%dir /usr/lib/akd/eidmiddleware/plugins/imageformats/
/usr/lib/akd/eidmiddleware/plugins/imageformats/libqjpeg.so
/usr/lib/akd/eidmiddleware/plugins/imageformats/libqjp2.so

%dir /usr/lib/akd/eidmiddleware/plugins/printsupport/
/usr/lib/akd/eidmiddleware/plugins/printsupport/libcupsprintersupport.so

%dir /usr/lib/akd/eidmiddleware/plugins/platforms/
/usr/lib/akd/eidmiddleware/plugins/platforms/libqxcb.so

%dir /usr/lib/akd/eidmiddleware/pkcs11/
/usr/lib/akd/eidmiddleware/pkcs11/libEidPkcs11.so
/usr/lib/akd/eidmiddleware/pkcs11/libEidPkcs11.so.lic
/usr/lib/akd/eidmiddleware/License.bin
%attr(0755,root,root) /usr/lib/akd/eidmiddleware/Signer

%dir /usr/lib/akd/eidmiddleware/certificates/
/usr/lib/akd/eidmiddleware/certificates/HRIDCA.pem
/usr/lib/akd/eidmiddleware/certificates/AKDCARoot.pem
%attr(0755,root,root) /usr/lib/akd/eidmiddleware/Client

%{_datadir}/p11-kit/modules/eid.module

%{_datadir}/pixmaps/eidclient32.png

%dir %{_datadir}/ca-certificates/akd
%{_datadir}/ca-certificates/akd/HRIDCA.crt
%{_datadir}/ca-certificates/akd/AKDCARoot.crt

%{_datadir}/applications/signer.desktop
%{_datadir}/applications/eidclient.desktop

